Subject: Re: [PATCH v2] ptp: free ptp clock properly

From: Andrea Righi <[email-masked]>
Date: Tue, 7 Apr 2020 11:34:22 +0200

On Fri, Apr 03, 2020 at 09:34:14AM -0400, Vladis Dronov wrote:
> Hello, Andrea, Colin, all,
> 
> This fix is really not needed, as its creation is based on the assumption
> that the Ubuntu kernel 5.3.0-40-generic has the upstream commit 75718584cb3c,
> which is the real fix to this crash.
> 
> > > > I would guess that a kernel in question (5.3.0-40-generic) has the commit
> > > > a33121e5487b but does not have the commit 75718584cb3c, which should be
> > > > exactly fixing a docking station disconnect crash. Could you please,
> > > > check this?
> > >
> > > Unfortunately the kernel in question already has 75718584cb3c:
> > > https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/bionic/commit/?h=hwe&id=c71b774732f997ef38ed7bd62e73891a01f2bbfe
> 
> Apologies, but the assumption above is not correct, 5.3.0-40-generic does
> not have 75718584cb3c. If it had 75718584cb3c it would be a fix and the ptp-related
> crash (described in https://bugs.launchpad.net/bugs/1864754) would not happen.
> 
> This way https://lists.ubuntu.com/archives/kernel-team/2020-March/108562.html fix
> is not really needed.

Hi Vladis,

for the records, I repeated the tests with a lot of help from the bug
reporter (Morgwai, added in cc), this time making sure we were using the
same kernels.

I confirm that my fix is not really needed as you correctly pointed out.
Thanks for looking into this and sorry for the noise! :)

-Andrea